<?php
/**
 * Tube_LaterPay
 * 
 * Functions to integrate with official LaterPay plugin
 * https://wordpress.org/plugins/laterpay/
 * 
 * @package .TUBE
 * @subpackage Classes
 * @author  .TUBE gTLD <https://www.live.tube>
 * @copyright Copyright 2017, TUBE®
 * @link https://www.wptools.tube
 * @since 1.1.8
 */
 
    
class Tube_LaterPay {
  
  public static $instance;
    
  public static function init() {
    
    if ( is_null( self::$instance ) )
      self::$instance = new Tube_LaterPay();
    
    return self::$instance;
    
  }    
    
    
  // Constructor  
  function __construct() {              

    // nothing to see here
                      
  }

    
  public static function has_access(){
    
    // check if laterpay exists
    if( ! class_exists( 'LaterPay_Helper_Post' ) ):
      
      return true;
      
    endif;
    
    // make sure there's a post
    global $post;
    
    if ( ! $post ) return;
    
    // get laterpay settings
    $laterpay_plugin_is_in_live_mode = (bool) get_option( 'laterpay_plugin_is_in_live_mode' );
    
    $laterpay_is_in_visible_test_mode = (bool) get_option( 'laterpay_is_in_visible_test_mode' );
    
    $laterpay_preview_post_as_visitor = (bool) LaterPay_Helper_User :: preview_post_as_visitor( $post );
    
    $is_laterpay_admin = (bool) LaterPay_Helper_User::can( 'laterpay_has_full_access_to_content', $post );
    
    // Allow access if...
    // - in test mode (i.e. NOT live mode) 
    // - AND we're NOT visibile in test mode
    // - AND we don't want to preview post as visitor    
    if (  ! $laterpay_plugin_is_in_live_mode && 
          ! $laterpay_is_in_visible_test_mode && 
          ! $laterpay_preview_post_as_visitor 
       ):
    
      return true;
    
    endif;
        
    // allow access if admin and not previewing as visitor
    if ( $is_laterpay_admin && ! $laterpay_preview_post_as_visitor ):
      
      return true;
      
    endif;
      
    // see if user has access
    $has_access = LaterPay_Helper_Post :: has_access_to_post( $post );  
    
    // allow filtering of access
    $has_access = apply_filters( 'tube_filter_laterpay_has_access', $has_access );
  
    // return user's access
    return $has_access;
    
  }
  
}

